Хостинг серверов Minecraft playvds.com
  1. Этот сайт использует файлы cookie. Продолжая пользоваться данным сайтом, Вы соглашаетесь на использование нами Ваших файлов cookie. Узнать больше.
  2. Вы находитесь в русском сообществе Bukkit. Мы - администраторы серверов Minecraft, разрабатываем собственные плагины и переводим на русский язык плагины наших собратьев из других стран.
    Скрыть объявление

Помогите Y-Border: HeightDetector - плагин на ограничение fly и tp.

Тема в разделе "Разработка плагинов для новичков", создана пользователем Namer_PRO, 12 апр 2018.

  1. Автор темы
    Namer_PRO

    Namer_PRO Участник Временно заблокирован Пользователь

    Баллы:
    36
    Имя в Minecraft:
    Namer_PRO
    "Из за" пишется через '-'. После этого еще вопрос, кто тут динозавр. Если хотите писать под 1.12 пишите, но только так, чтобы он под 1.8 подошел :creeper:
     
  2. Mr Hosting
  3. hyndorik

    hyndorik Активный участник Пользователь

    Баллы:
    98
    Имя в Minecraft:
    hyndo
    Как ‘-‘ относится к динозавриванию? Ты совсем поехавший? Нормальные люди юзают возможности 1.12 и не динозаврят на 1.8
     
  4. Ission

    Ission Старожил Девелопер Пользователь

    Баллы:
    173
    Skype:
    lokivava
    execute @a[y=256,dy=4096] ~ ~ ~ tp ~ 250 ~ в цикл командным блоком
     
  5. InterWall

    InterWall Старожил Пользователь

    Баллы:
    173
    "Еще" и "подошел" пишется через ё, перед словом "пишите" должно стоять тире.
    Но это не имеет значения, поскольку:
     
  6. Krutius

    Krutius Активный участник Пользователь

    Баллы:
    76
    Имя в Minecraft:
    MrPencilBox
    С какого перепоя мы должны писать под 1.12 так, что бы код работал на 1.8? Нам по)(юу на динозавров. Хотите быть в теме всех новых плагинов, хотите фиксов - обновляйтесь!
     
  7. Ission

    Ission Старожил Девелопер Пользователь

    Баллы:
    173
    Skype:
    lokivava
    Скажите мне, пожалуйста, что в этом плагине будет использовано из 1.12 и не будет работать на 1.7? Я вот в толк не возьму никак. Тут отличие в лучшем случае будет в том, что getOnlinePlayers будет возвращать массив, но это в 1.7.5<, а не коллекцию.
    Получить местоположение игрока? В API 1.2 это есть.
    Телепортировать игрока? С API 1.1 не менялось.
    Вывести сообщение в чат? Туда же.
    Создать конфиг? Я помню как конфиги создавались без средств API. И это были очень старые версии. Вроде бы 1.8 beta.
     
  8. Krutius

    Krutius Активный участник Пользователь

    Баллы:
    76
    Имя в Minecraft:
    MrPencilBox
    Те же спавнеры и яйца спавна... Вроде как в 1.9 там всё сломали.
    Ещё BossBar'ы в какой-то из последних версий переделали (вроде как 1.10)
     
  9. Cool_boy

    Cool_boy Активный участник Пользователь

    Баллы:
    76
    Имя в Minecraft:
    prettydude
    Он намекает что плагин который хочет ТС даже на 1.5.2 запустится.
     
  10. Alastar

    Alastar Старожил Пользователь

    Баллы:
    173
    Чё за дикий агр на старые версии? Прям нездоровая агрессия
     
  11. hyndorik

    hyndorik Активный участник Пользователь

    Баллы:
    98
    Имя в Minecraft:
    hyndo
    А почему должно быть здоровое отношение?
     
  12. Krutius

    Krutius Активный участник Пользователь

    Баллы:
    76
    Имя в Minecraft:
    MrPencilBox
    Люди, сидящие на старых версиях, тормозят развитие Minecraft'а (Разработчикам приходится разрабатывать свои проекты (Моды, Плагины, Текстуры) и для старых версий, что бы охватить большую аудиторию => Они тратят много времени в пустую, хотя могли бы его потратить на создание чего-то нового)
     
  13. Alastar

    Alastar Старожил Пользователь

    Баллы:
    173
    Программисты, использующие 8 джаву вместо 9 тоже тормозят ее развитие? Я бы такой плагин за пять минут на любую версию написал, это немного и никак не повлияет на разработку других проектов
     
  14. InterWall

    InterWall Старожил Пользователь

    Баллы:
    173
    Мелкие плагины тут не играют роли, их и поддерживать особо не надо. Вот крупные это да.
    А вообще здесь никто никого не заставляет, хочешь динозаврить — пожалуйста, но решай свои проблемы сам.
    Почему динозаврить это плохо? Не всё ли равно? Достаточно спросить большинство кодеров (и нормальных админов, чего уж там) и они скажут, что динозаврить это плохо. А "почему" это уже другой вопрос.
     
  15. hyndorik

    hyndorik Активный участник Пользователь

    Баллы:
    98
    Имя в Minecraft:
    hyndo
    Чувак 8 ява имеет LTS в отличии от промежуточной 9 и 10, есть объективные причины ее щас использовать. Когда выйдет 11 ява, то у нее будет LTS все туда и перейдут
     
  16. Автор темы
    Namer_PRO

    Namer_PRO Участник Временно заблокирован Пользователь

    Баллы:
    36
    Имя в Minecraft:
    Namer_PRO
    Так напишите xD
     
  17. alexandrage

    alexandrage Старожил Пользователь

    Баллы:
    173
    Время терять на динозавров никто не хочет. Все просто. Разменивать свое время на динов, когда можно писать плагины на ласт билд себе и нормальным людям. Модовые сервера исключение. У нас просто нету тру кодеров для апа котла, а к спонжу еще многие не готовы.
     
  18. Автор темы
    Namer_PRO

    Namer_PRO Участник Временно заблокирован Пользователь

    Баллы:
    36
    Имя в Minecraft:
    Namer_PRO
    Да напишите уже на 1.12 этот плагин. Все равно на 99% уверен, что на 1.8 без запаривания пойдет.
     

Поделиться этой страницей